Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp.ui
Class InputTransferSelectTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.views.jsp.ui.AbstractListTag
                              org.apache.struts2.views.jsp.ui.InputTransferSelectTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.DynamicAttributes, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class InputTransferSelectTag

extends AbstractListTag

InputTransferSelect jsp tag.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `addLabel`
`protected java.lang.String` | `allowRemoveAll`
`protected java.lang.String` | `allowUpDown`
`protected java.lang.String` | `buttonCssClass`
`protected java.lang.String` | `buttonCssStyle`
`protected java.lang.String` | `downLabel`
`protected java.lang.String` | `headerKey`
`protected java.lang.String` | `headerValue`
`protected java.lang.String` | `leftTitle`
`protected java.lang.String` | `multiple`
`protected java.lang.String` | `removeAllLabel`
`protected java.lang.String` | `removeLabel`
`protected java.lang.String` | `rightTitle`
`protected java.lang.String` | `size`
`protected java.lang.String` | `upLabel`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractListTag
`list, listKey, listValue`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, disabled, dynamicAttributes, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, required, requiredposition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InputTransferSelectTag()`

Method Summary
`java.lang.String` | `getAddLabel()`
`java.lang.String` | `getAllowRemoveAll()`
`java.lang.String` | `getAllowUpDown()`
`Component` | `getBean(ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`java.lang.String` | `getButtonCssClass()`
`java.lang.String` | `getButtonCssStyle()`
`java.lang.String` | `getDownLabel()`
`java.lang.String` | `getHeaderKey()`
`java.lang.String` | `getHeaderValue()`
`java.lang.String` | `getLeftTitle()`
`java.lang.String` | `getMultiple()`
`java.lang.String` | `getRemoveAllLabel()`
`java.lang.String` | `getRemoveLabel()`
`java.lang.String` | `getRightTitle()`
`java.lang.String` | `getSize()`
`java.lang.String` | `getUpLabel()`
`protected void` | `populateParams()`
`void` | `setAddLabel(java.lang.String addLabel)`
`void` | `setAllowRemoveAll(java.lang.String allowRemoveAll)`
`void` | `setAllowUpDown(java.lang.String allowUpDown)`
`void` | `setButtonCssClass(java.lang.String buttonCssClass)`
`void` | `setButtonCssStyle(java.lang.String buttonCssStyle)`
`void` | `setDownLabel(java.lang.String downLabel)`
`void` | `setHeaderKey(java.lang.String headerKey)`
`void` | `setHeaderValue(java.lang.String headerValue)`
`void` | `setLeftTitle(java.lang.String leftTitle)`
`void` | `setMultiple(java.lang.String multiple)`
`void` | `setRemoveAllLabel(java.lang.String removeAllLabel)`
`void` | `setRemoveLabel(java.lang.String removeLabel)`
`void` | `setRightTitle(java.lang.String rightTitle)`
`void` | `setSize(java.lang.String size)`
`void` | `setUpLabel(java.lang.String upLabel)`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractListTag
`setList, setListKey, setListValue`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDisabled, setDynamicAttribute, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`findString, findValue, findValue, getBody, getStack, toString`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### size

    protected java.lang.String size

### multiple

    protected java.lang.String multiple

### allowRemoveAll

    protected java.lang.String allowRemoveAll

### allowUpDown

    protected java.lang.String allowUpDown

### leftTitle

    protected java.lang.String leftTitle

### rightTitle

    protected java.lang.String rightTitle

### buttonCssClass

    protected java.lang.String buttonCssClass

### buttonCssStyle

    protected java.lang.String buttonCssStyle

### addLabel

    protected java.lang.String addLabel

### removeLabel

    protected java.lang.String removeLabel

### removeAllLabel

    protected java.lang.String removeAllLabel

### upLabel

    protected java.lang.String upLabel

### downLabel

    protected java.lang.String downLabel

### headerKey

    protected java.lang.String headerKey

### headerValue

    protected java.lang.String headerValue

Constructor Detail

### InputTransferSelectTag

    public InputTransferSelectTag()

Method Detail

### getBean

    public Component getBean(ValueStack stack,
                             javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)

  Specified by:
    `getBean` in class `ComponentTagSupport`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `AbstractListTag`

### getSize

    public java.lang.String getSize()

### setSize

    public void setSize(java.lang.String size)

### getMultiple

    public java.lang.String getMultiple()

### setMultiple

    public void setMultiple(java.lang.String multiple)

### getAllowRemoveAll

    public java.lang.String getAllowRemoveAll()

### setAllowRemoveAll

    public void setAllowRemoveAll(java.lang.String allowRemoveAll)

### getAllowUpDown

    public java.lang.String getAllowUpDown()

### setAllowUpDown

    public void setAllowUpDown(java.lang.String allowUpDown)

### getLeftTitle

    public java.lang.String getLeftTitle()

### setLeftTitle

    public void setLeftTitle(java.lang.String leftTitle)

### getRightTitle

    public java.lang.String getRightTitle()

### setRightTitle

    public void setRightTitle(java.lang.String rightTitle)

### getButtonCssClass

    public java.lang.String getButtonCssClass()

### setButtonCssClass

    public void setButtonCssClass(java.lang.String buttonCssClass)

### getButtonCssStyle

    public java.lang.String getButtonCssStyle()

### setButtonCssStyle

    public void setButtonCssStyle(java.lang.String buttonCssStyle)

### getAddLabel

    public java.lang.String getAddLabel()

### setAddLabel

    public void setAddLabel(java.lang.String addLabel)

### getRemoveLabel

    public java.lang.String getRemoveLabel()

### setRemoveLabel

    public void setRemoveLabel(java.lang.String removeLabel)

### getRemoveAllLabel

    public java.lang.String getRemoveAllLabel()

### setRemoveAllLabel

    public void setRemoveAllLabel(java.lang.String removeAllLabel)

### getUpLabel

    public java.lang.String getUpLabel()

### setUpLabel

    public void setUpLabel(java.lang.String upLabel)

### getDownLabel

    public java.lang.String getDownLabel()

### setDownLabel

    public void setDownLabel(java.lang.String downLabel)

### getHeaderKey

    public java.lang.String getHeaderKey()

### setHeaderKey

    public void setHeaderKey(java.lang.String headerKey)

### getHeaderValue

    public java.lang.String getHeaderValue()

### setHeaderValue

    public void setHeaderValue(java.lang.String headerValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.